QgsMapToolIdentifyFeature default cursor hotspot is incorrect

2015-06-14 11:56 AM - Uros Bernik

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21042

Description

When implementing a custom QgsMapToolIdentifyFeature tool, i came across this. You set the active tool (which subclasses

QgsMapToolIdentifyFeature) on the map canvas, and the cursor changes into a targeting cross. But the "hot spot" of the cross is not in the

cross, but rather upper left corner of the cross.

History

#1 - 2015-06-14 11:53 PM - Jürgen Fischer

- Subject changed from QgsMapToolIdenfityFeature default cursor hotspot is incorrect to QgsMapToolIdentifyFeature default cursor hotspot is incorrect

#2 - 2016-12-22 12:48 AM - Salvatore Larosa

- Category set to Map Tools

- Pull Request or Patch supplied changed from No to Yes

Could the following patch work?

diff --git a/src/gui/qgsmaptoolidentifyfeature.cpp b/src/gui/qgsmaptoolidentifyfeature.cpp

index 1669d2f..c7e5e6d 100644

--- a/src/gui/qgsmaptoolidentifyfeature.cpp

+++ b/src/gui/qgsmaptoolidentifyfeature.cpp

@@ -28,7 +28,7 @@ QgsMapToolIdentifyFeature::QgsMapToolIdentifyFeature( QgsMapCanvas* canvas, QgsV

   // set cursor

   QPixmap cursorPixmap = QPixmap(( const char ** ) cross_hair_cursor );

-  mCursor = QCursor( cursorPixmap, 1, 1 );

+  mCursor = QCursor( cursorPixmap );

 }

 QgsMapToolIdentifyFeature::~QgsMapToolIdentifyFeature()

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
